Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle.api.file
Enum FileCollection.AntType

    java.lang.Object
      java.lang.Enum<FileCollection.AntType>
          org.gradle.api.file.FileCollection.AntType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FileCollection.AntType>

Enclosing interface:
  FileCollection

    public static enum FileCollection.AntType

extends java.lang.Enum<FileCollection.AntType>

Enum Constant Summary
`FileSet`
`MatchingTask`
`ResourceCollection`

Method Summary
`static FileCollection.AntType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FileCollection.AntType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MatchingTask

    public static final FileCollection.AntType MatchingTask

### FileSet

    public static final FileCollection.AntType FileSet

### ResourceCollection

    public static final FileCollection.AntType ResourceCollection

Method Detail

### values

    public static FileCollection.AntType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileCollection.AntType c : FileCollection.AntType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileCollection.AntType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD